Search Results for

    Show / Hide Table of Contents

    Class PmiPreferences

    Inheritance
    System.Object
    System.MarshalByRefObject
    NXRemotableObject
    TransientObject
    PmiPreferences
    Implements
    System.Runtime.Remoting.Messaging.IMessageSink
    System.IDisposable
    Inherited Members
    TransientObject.Dispose()
    TransientObject.ToString()
    TransientObject.PrintTestData(String)
    TransientObject.PrintTestData(String, Int32)
    TransientObject.Handle
    NXRemotableObject.initialize()
    NXRemotableObject.SyncProcessMessage(IMessage)
    NXRemotableObject.AsyncProcessMessage(IMessage, IMessageSink)
    NXRemotableObject.NextSink
    System.MarshalByRefObject.CreateObjRef(System.Type)
    System.MarshalByRefObject.GetLifetimeService()
    System.MarshalByRefObject.InitializeLifetimeService()
    System.MarshalByRefObject.MemberwiseClone(System.Boolean)
    System.Object.Equals(System.Object)
    System.Object.Equals(System.Object, System.Object)
    System.Object.GetHashCode()
    System.Object.GetType()
    System.Object.MemberwiseClone()
    System.Object.ReferenceEquals(System.Object, System.Object)
    Namespace: NXOpen.Annotations
    Assembly: NXOpen.dll
    Syntax
    public class PmiPreferences : TransientObject, IMessageSink, IDisposable

    Constructors

    PmiPreferences(IntPtr)

    Declaration
    protected PmiPreferences(IntPtr ptr)
    Parameters
    Type Name Description
    System.IntPtr ptr

    Properties

    AssemblyCrosshatching

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.AssemblyCrosshatching instead.")]
    public bool AssemblyCrosshatching { get; }
    Property Value
    Type Description
    System.Boolean

    AssociativityForLightweightSectionViews

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.AssociativePlane instead.")]
    public bool AssociativityForLightweightSectionViews { get; }
    Property Value
    Type Description
    System.Boolean

    ClipCoplanarObjectsForLightweightSectionViews

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.ClipCoplanarObjects instead.")]
    public bool ClipCoplanarObjectsForLightweightSectionViews { get; set; }
    Property Value
    Type Description
    System.Boolean

    ClipWireframeObjects

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.ClipWireframeObjects instead.")]
    public bool ClipWireframeObjects { get; set; }
    Property Value
    Type Description
    System.Boolean

    CreateViewIndependent

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.DisplayInAllViews instead.")]
    public bool CreateViewIndependent { get; set; }
    Property Value
    Type Description
    System.Boolean

    CrosshatchAdjacencyTolerance

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.CrosshatchAdjacencyTolerance instead.")]
    public double CrosshatchAdjacencyTolerance { get; }
    Property Value
    Type Description
    System.Double

    CuttingPlaneSymbolArrowDirection

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewCuttingPlaneSymbolBuilder.ArrowDirection instead.")]
    public CuttingPlaneSymbolBuilder.ArrowDirectionOption CuttingPlaneSymbolArrowDirection { get; set; }
    Property Value
    Type Description
    CuttingPlaneSymbolBuilder.ArrowDirectionOption

    CuttingPlaneSymbolArrowLength

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewCuttingPlaneSymbolBuilder.ArrowLineLength instead.")]
    public double CuttingPlaneSymbolArrowLength { get; set; }
    Property Value
    Type Description
    System.Double

    CuttingPlaneSymbolColor

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewCuttingPlaneSymbolBuilder.Color instead.")]
    public NXColor CuttingPlaneSymbolColor { get; set; }
    Property Value
    Type Description
    NXColor

    CuttingPlaneSymbolSectionPrefix

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewCuttingPlaneSymbolBuilder.SectionPrefix instead.")]
    public string CuttingPlaneSymbolSectionPrefix { get; set; }
    Property Value
    Type Description
    System.String

    CuttingPlaneSymbolShadedPlane

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewCuttingPlaneSymbolBuilder.ShadedPlane instead.")]
    public bool CuttingPlaneSymbolShadedPlane { get; set; }
    Property Value
    Type Description
    System.Boolean

    CuttingPlaneSymbolStartingLetter

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewCuttingPlaneSymbolBuilder.StartingLetter instead.")]
    public string CuttingPlaneSymbolStartingLetter { get; set; }
    Property Value
    Type Description
    System.String

    CuttingPlaneSymbolTextPlaneRelativeToArrow

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewCuttingPlaneSymbolBuilder.TextPlaneRelativeToArrow instead.")]
    public CuttingPlaneSymbolBuilder.TextPlaneRelativeArrow CuttingPlaneSymbolTextPlaneRelativeToArrow { get; set; }
    Property Value
    Type Description
    CuttingPlaneSymbolBuilder.TextPlaneRelativeArrow

    DatumLabel

    Declaration
    public string DatumLabel { get; set; }
    Property Value
    Type Description
    System.String

    DefaultPlane

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.AnnotationPlane instead.")]
    public PmiDefaultPlane DefaultPlane { get; set; }
    Property Value
    Type Description
    PmiDefaultPlane

    DeleteEmptyUserDefinedModelViews

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupGeneralBuilder.DeleteEmptyUserDefinedModelViews instead.")]
    public bool DeleteEmptyUserDefinedModelViews { get; set; }
    Property Value
    Type Description
    System.Boolean

    DisplayEffectivityFilterNodesInPartNavigator

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupEffectivityBuilder.DisplayEffectivityFilteredNodes instead.")]
    public bool DisplayEffectivityFilterNodesInPartNavigator { get; }
    Property Value
    Type Description
    System.Boolean

    DisplayPmiAssociatedComponentsLoadedForReference

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupEffectivityBuilder.ComponentsLoadedForReference instead.")]
    public bool DisplayPmiAssociatedComponentsLoadedForReference { get; }
    Property Value
    Type Description
    System.Boolean

    DisplayPmiEffectivityMethod

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupEffectivityBuilder.DisplayPmiAssociatedOnlyToPrimaryGeometry instead.")]
    public DisplayPmiEffectivityMethod DisplayPmiEffectivityMethod { get; }
    Property Value
    Type Description
    DisplayPmiEffectivityMethod

    DisplayPmiEffectivityReferenceMethod

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupEffectivityBuilder.DisplayPmiAssociatedToReferenceGeometry instead.")]
    public DisplayPmiEffectivityMethod DisplayPmiEffectivityReferenceMethod { get; }
    Property Value
    Type Description
    DisplayPmiEffectivityMethod

    DisplayPmiModelViewDisclosurePurpose

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupGeneralBuilder.DisclosurePurpose instead.")]
    public string DisplayPmiModelViewDisclosurePurpose { get; set; }
    Property Value
    Type Description
    System.String

    DisplayPmiQueryDialogFromMb3

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  No longer applicable as the Find PMI Associated to Geometry command has been removed from the shortcut menu.")]
    public bool DisplayPmiQueryDialogFromMb3 { get; set; }
    Property Value
    Type Description
    System.Boolean

    DisplayPmiUserDefinedModelViewDisclosure

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupGeneralBuilder.UserDefinedModelViews instead.")]
    public bool DisplayPmiUserDefinedModelViewDisclosure { get; set; }
    Property Value
    Type Description
    System.Boolean

    EnableResize

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.EnableResize instead.")]
    public bool EnableResize { get; }
    Property Value
    Type Description
    System.Boolean

    LockSizeAndPosition

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupParallelToScreenBuilder.LockSizeAndPosition instead.")]
    public bool LockSizeAndPosition { get; set; }
    Property Value
    Type Description
    System.Boolean

    ParallelToScreen

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupParallelToScreenBuilder.DisplayParallelToScreen instead.")]
    public bool ParallelToScreen { get; set; }
    Property Value
    Type Description
    System.Boolean

    PmiRegionHeight

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSupplementalGeometryRegionBuilder.RegionHeight instead.")]
    public double PmiRegionHeight { get; set; }
    Property Value
    Type Description
    System.Double

    PmiRegionInnerDiameter

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSupplementalGeometryRegionBuilder.RegionInnerDiameter instead.")]
    public double PmiRegionInnerDiameter { get; set; }
    Property Value
    Type Description
    System.Double

    PmiRegionOuterDiameter

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSupplementalGeometryRegionBuilder.RegionOuterDiameter instead.")]
    public double PmiRegionOuterDiameter { get; set; }
    Property Value
    Type Description
    System.Double

    PmiRegionWidth

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSupplementalGeometryRegionBuilder.RegionWidth instead.")]
    public double PmiRegionWidth { get; set; }
    Property Value
    Type Description
    System.Double

    PmiSupportForGeometrySharing

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupGeneralBuilder.PmiSupportForGeometrySharing instead.")]
    public bool PmiSupportForGeometrySharing { get; }
    Property Value
    Type Description
    System.Boolean

    RegionBoundaryColor

    Declaration
    public NXColor RegionBoundaryColor { get; set; }
    Property Value
    Type Description
    NXColor

    RegionBoundaryFont

    Declaration
    public int RegionBoundaryFont { get; set; }
    Property Value
    Type Description
    System.Int32

    RegionBoundaryWidth

    Declaration
    public int RegionBoundaryWidth { get; set; }
    Property Value
    Type Description
    System.Int32

    ResizeMethod

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.ResizeSettings instead.")]
    public PmiResizeMethod ResizeMethod { get; }
    Property Value
    Type Description
    PmiResizeMethod

    ResizeOnCreate

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.ResizeOnCreate instead.")]
    public bool ResizeOnCreate { get; }
    Property Value
    Type Description
    System.Boolean

    ResizeOnViewSave

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.ResizeOnViewSave instead.")]
    public bool ResizeOnViewSave { get; }
    Property Value
    Type Description
    System.Boolean

    RestrictCrosshatchAngle

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.RestrictCrosshatchAngle instead.")]
    public bool RestrictCrosshatchAngle { get; }
    Property Value
    Type Description
    System.Boolean

    SectionViewNamePrefix

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.SectionNamePrefix instead.")]
    public string SectionViewNamePrefix { get; set; }
    Property Value
    Type Description
    System.String

    ShadedDisplay

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.DisplayPmiShadedModel instead.")]
    public bool ShadedDisplay { get; }
    Property Value
    Type Description
    System.Boolean

    SuppressRetainedPmis

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupGeneralBuilder.SuppressRetainedPMI instead.")]
    public bool SuppressRetainedPmis { get; set; }
    Property Value
    Type Description
    System.Boolean

    Methods

    FreeResource()

    Declaration
    protected override void FreeResource()
    Overrides
    TransientObject.FreeResource()

    GetParallelToScreenEnabledPmiTypes(out PmiPreferences.PreferenceSymbolTypes[])

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupParallelToScreenBuilder.EnabledPmiTypes instead.")]
    public void GetParallelToScreenEnabledPmiTypes(out PmiPreferences.PreferenceSymbolTypes[] parallelToScreenEnabledPmiTypes)
    Parameters
    Type Name Description
    PmiPreferences.PreferenceSymbolTypes[] parallelToScreenEnabledPmiTypes

    SetAssemblyCrosshatching(Boolean)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.AssemblyCrosshatching instead.")]
    public void SetAssemblyCrosshatching(bool assemblyCrosshatching)
    Parameters
    Type Name Description
    System.Boolean assemblyCrosshatching

    SetAssociativityForLightweightSectionViews(Boolean)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.AssociativePlane instead.")]
    public void SetAssociativityForLightweightSectionViews(bool associativityOptionForLightweightSectionViews)
    Parameters
    Type Name Description
    System.Boolean associativityOptionForLightweightSectionViews

    SetCrosshatchAdjacencyTolerance(Double)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.CrosshatchAdjacencyTolerance instead.")]
    public void SetCrosshatchAdjacencyTolerance(double crosshatchAdjacencyTolerance)
    Parameters
    Type Name Description
    System.Double crosshatchAdjacencyTolerance

    SetDisplayEffectivityFilterNodesInPartNavigator(Boolean)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupEffectivityBuilder.DisplayEffectivityFilteredNodes instead.")]
    public void SetDisplayEffectivityFilterNodesInPartNavigator(bool displayEffectivityFilterNodesInPartNavigator)
    Parameters
    Type Name Description
    System.Boolean displayEffectivityFilterNodesInPartNavigator

    SetDisplayPmiAssociatedComponentsLoadedForReference(Boolean)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupEffectivityBuilder.ComponentsLoadedForReference instead.")]
    public void SetDisplayPmiAssociatedComponentsLoadedForReference(bool displayPmiAssociatedComponentsLoadedForReference)
    Parameters
    Type Name Description
    System.Boolean displayPmiAssociatedComponentsLoadedForReference

    SetDisplayPmiEffectivityMethod(DisplayPmiEffectivityMethod)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupEffectivityBuilder.DisplayPmiAssociatedOnlyToPrimaryGeometry instead.")]
    public void SetDisplayPmiEffectivityMethod(DisplayPmiEffectivityMethod displayPmiEffectivityMethod)
    Parameters
    Type Name Description
    DisplayPmiEffectivityMethod displayPmiEffectivityMethod

    SetDisplayPmiEffectivityReferenceMethod(DisplayPmiEffectivityMethod)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupEffectivityBuilder.DisplayPmiAssociatedToReferenceGeometry instead.")]
    public void SetDisplayPmiEffectivityReferenceMethod(DisplayPmiEffectivityMethod displayPmiEffectivityReferenceMethod)
    Parameters
    Type Name Description
    DisplayPmiEffectivityMethod displayPmiEffectivityReferenceMethod

    SetEnableResize(Boolean)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.EnableResize instead.")]
    public void SetEnableResize(bool enableResize)
    Parameters
    Type Name Description
    System.Boolean enableResize

    SetParallelToScreenEnabledPmiTypes(PmiPreferences.PreferenceSymbolTypes[])

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupParallelToScreenBuilder.EnabledPmiTypes instead.")]
    public void SetParallelToScreenEnabledPmiTypes(PmiPreferences.PreferenceSymbolTypes[] parallelToScreenEnabledPmiTypes)
    Parameters
    Type Name Description
    PmiPreferences.PreferenceSymbolTypes[] parallelToScreenEnabledPmiTypes

    SetPmiSupportForGeometrySharing(Boolean)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupGeneralBuilder.PmiSupportForGeometrySharing instead.")]
    public void SetPmiSupportForGeometrySharing(bool pmiSupportForGeomSharing)
    Parameters
    Type Name Description
    System.Boolean pmiSupportForGeomSharing

    SetResizeMethod(PmiResizeMethod)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.ResizeSettings instead.")]
    public void SetResizeMethod(PmiResizeMethod resizeMethod)
    Parameters
    Type Name Description
    PmiResizeMethod resizeMethod

    SetResizeOnCreate(Boolean)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.ResizeOnCreate instead.")]
    public void SetResizeOnCreate(bool resizeOnCreate)
    Parameters
    Type Name Description
    System.Boolean resizeOnCreate

    SetResizeOnViewSave(Boolean)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.ResizeOnViewSave instead.")]
    public void SetResizeOnViewSave(bool resizeOnViewSave)
    Parameters
    Type Name Description
    System.Boolean resizeOnViewSave

    SetRestrictCrosshatchAngle(Boolean)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiSectionViewViewBuilder.RestrictCrosshatchAngle instead.")]
    public void SetRestrictCrosshatchAngle(bool restrictCrosshatchAngle)
    Parameters
    Type Name Description
    System.Boolean restrictCrosshatchAngle

    SetShadedDisplay(Boolean)

    Declaration
    [Obsolete("Deprecated in NX1847.0.0.  Use NXOpen.Annotations.PmiGeneralSetupDisplayBuilder.DisplayPmiShadedModel instead.")]
    public void SetShadedDisplay(bool shadedDisplay)
    Parameters
    Type Name Description
    System.Boolean shadedDisplay

    Implements

    System.Runtime.Remoting.Messaging.IMessageSink
    System.IDisposable
    In This Article
    Back to top Generated by DocFX